# Remove Booking Room Reservation

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=removeBookingRoomReservation`

Remove a room reservation from a specific booking. The booking must satisfy the following:

\\

\* Accommodation is included.

\\

\* The status must be "confirmed".

#### Request Body

| Name      | Type    | Description                                                        |
| --------- | ------- | ------------------------------------------------------------------ |
| venueId   | integer | The unique id of the venue to which the booking belongs            |
| bookingId | integer | The unique id of the booking to which the room reservation belongs |
| id        | integer | The unique id of the room reservation to remove                    |

{% tabs %}
{% tab title="200 " %}

```javascript
{
  "success": true,
  "errorType": null
}
```

{% endtab %}
{% endtabs %}

| Error Type | Reason                                                |
| ---------- | ----------------------------------------------------- |
| 1          | Unknown error                                         |
| 2          | Only "not confirmed" room reservations can be deleted |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/accommodation/remove-booking-room-reservation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
